Jump to content

[1.11+] Benjee10's Historical Kerbal Suits | Custom Space Suits & Space Helmets - Apollo, ACES, Sokol & more! | [Initial release!) | v1.0.1


benjee10
 Share

Recommended Posts

1 hour ago, alberro+ said:

This looks insane, could it possibly work with 1.8.1, or is it locked to 1.11 or higher?

The wearable props are locked behind 1.11. They require the updated inventory system that came out with 1.11. The EVA & IVA suits will work with 1.10. For everything below you need to use TextureReplacer and manually have to flip the textures vertically. (Out of some reason, stock flips the textures after being applied to the kerbal material, which TextureReplacer doesn’t do.)

Link to comment
Share on other sites

19 minutes ago, ValiZockt said:

The wearable props are locked behind 1.11. They require the updated inventory system that came out with 1.11. The EVA & IVA suits will work with 1.10. For everything below you need to use TextureReplacer and manually have to flip the textures vertically. (Out of some reason, stock flips the textures after being applied to the kerbal material, which TextureReplacer doesn’t do.)

Ah, I see, thanks!

Link to comment
Share on other sites

44 minutes ago, Doc Shaftoe said:

 

You can already sort of "fake" that with one of the stock EVA items. It's either the EVA repair kit or Experiment kit. 

 

Yeah, but wouldn’t it be great to have a proper PLSS with proper details and even the life support pipes feeding into the tubes on the suit!

Link to comment
Share on other sites

Em 31/03/2021 às 20:18, Jay The Amazing Toaster disse:

Parabéns pelo lançamento Benjee, os ternos e adereços são lindos. Se encaixa muito bem com o MMU do Cormorant.

screenshot794.png

(GOOGLE TRANSLATE) :D

Olá amiga!
Estou tentando encontrar esse MMU há um tempo e os dps dessa foto me lembraram de qual mod ele pertence. Mas parece meio antigo ... e no CKAN surgiu o nome: "shuttle lifting body".

Enfim ... Fiquei confuso com isso. Poderia ajudar? Estou muito interessado nesta peça (MMU).

Edited by KallangoVerde
Faltou informação.
Link to comment
Share on other sites

14 minutes ago, KallangoVerde said:

Olá amiga!
Estou tentando encontrar esse MMU há um tempo e os dps dessa foto me lembraram de qual mod ele pertence. Mas parece meio antigo ... e no CKAN surgiu o nome: "shuttle lifting body".

Enfim ... Fiquei confuso com isso. Poderia ajudar? Estou muito interessado nesta peça (MMU).

Oi! O mod é chamado Comerant Aeronology e, às vezes, vem com o Shuttle lifting body, por exemplo: no Spacedock

Espero que tenha ajudado e espero que o google tradutor tenha funcionado corretamente lol :D

(I also used Google translate :))

Link to comment
Share on other sites

5 minutes ago, AmateurAstronaut1969 said:

Oi! O mod é chamado Comerant Aeronology e, às vezes, vem com o Shuttle body lifting, por exemplo: no Spacedock

Espero que tenha ajudado e espero que o google tradutor tenha funcionado corretamente lol : D

(Eu também usei o Google tradutor  :))

Thanks!!! :D

Link to comment
Share on other sites

11 hours ago, CollectingSP said:

Quick Question- Does this work in 1.10.1? It keeps giving me an error during startup.

 

(and yes, I know it says 1.11, but 1.10 has the suit switcher so...)

Quoted from Page 1:
 

Quote

Historical Kerbal Suits REQUIRES KSP version 1.10 or later, but wearable props will only function with 1.11+ as they require the revised inventory system. 

I think the error is related to the missing inventory-system. But for further investigation we need this error and logs.

Edited by Cheesecake
Link to comment
Share on other sites

15 minutes ago, Rocketry101 said:

No its currently 1.11.X currently

 

15 hours ago, CollectingSP said:

Quick Question- Does this work in 1.10.1? It keeps giving me an error during startup.

 

(and yes, I know it says 1.11, but 1.10 has the suit switcher so...)

It should mostly work in 1.10.x, but wearable props need 1.11.

Link to comment
Share on other sites

5 hours ago, Cheesecake said:

Quoted from Page 1:
 

I think the error is related to the missing inventory-system. But for further investigation we need this error and logs.

Alright I’ll look at my Ksp.log.

it’s some DLL error.

Link to comment
Share on other sites

40 minutes ago, ValiZockt said:

If it’s linked to this mod, would you be able to upload and post your KSP.log? 

Yeah, i will. i'll have to reinstall and recreate the error and post it, as i have uninstalled the mod via CKAN.

Edited by CollectingSP
Link to comment
Share on other sites

18 hours ago, JoshuaGiles said:

Amazing work! Can this work with texture replacer and KIS on 1.8.1?

Edit: If this does not work with KIS will there be KIS support anytime soon?

The suits can be converted over to texture replacer relatively easily, KIS I suppose is possible but it wouldn't have the full functionality. KIS also attaches models to kerbals at the end of every frame, so they seem to lag behind the kerbal model itself slightly. The EMU helmet lights I was originally creating to use with KIS, but I found that because of the frame lag it would clip through the helmet pretty much constantly. With complete helmet replacement you end up with things like the kerbal head clipping through and the neck ring having a gap in it, so while it would be possible to make work with KIS it's not something I'd be looking to pursue. 

Link to comment
Share on other sites

4 hours ago, benjee10 said:

The suits can be converted over to texture replacer relatively easily, KIS I suppose is possible but it wouldn't have the full functionality. KIS also attaches models to kerbals at the end of every frame, so they seem to lag behind the kerbal model itself slightly. The EMU helmet lights I was originally creating to use with KIS, but I found that because of the frame lag it would clip through the helmet pretty much constantly. With complete helmet replacement you end up with things like the kerbal head clipping through and the neck ring having a gap in it, so while it would be possible to make work with KIS it's not something I'd be looking to pursue. 

Ahh ok, thanks. When looking into the files to convert the space suits into texture replacier I found that there is no EVAvisor file. So I had to find my own. If there a chance that you can eventually add the Helmet visor to a separate download. Or add it into the Gamedata for those who want to convert it into texture replacier. Other than that great work!

Link to comment
Share on other sites

On 4/19/2021 at 10:42 PM, Doc Shaftoe said:

These suits don't include their own visor texture, unless you're referencing the ACES helmet. The reflective visor in the screenshots is one of the new features in KSP version 1.11.x.

Ahhh, that makes sence, thanks!

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...